/**
  ******************************************************************************
  * @file    vk16d33.h
  * @author  kevin_guo
  * @version V1.0.0
  * @date    06-05-2017
  * @brief   Header files for IO vk16k33. 
  ******************************************************************************
  * @copy
  */ 
  
#ifndef __VK16D33_H__
#define __VK16D33_H__

#include "M451Series.h"

/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Exported define -----------------------------------------------------------*/

#define 	VK16D33_SCL_PIN  		 	BIT0
#define 	VK16D33_SCL_PORT  		PA
#define 	VK16D33_SCL_IO    		PA0

#define 	VK16D33_SDA_PIN   		BIT1
#define 	VK16D33_SDA_PORT  		PD
#define 	VK16D33_SDA_IO    		PD1


#define   VK16D33_SCL_HIGH     	VK16D33_SCL_IO = 1  
#define   VK16D33_SCL_LOW      	VK16D33_SCL_IO = 0  
  
#define   VK16D33_SDA_HIGH     	VK16D33_SDA_IO = 1  
#define   VK16D33_SDA_LOW      	VK16D33_SDA_IO = 0   
 
#define   VK16D33_DEVADDR				0x84 
#define   VK16D33_STARTADDR			0x00 

#define 	VK16D33_CTRL_REG      0x12  //״̬ƼĴ
#define		SHUTDOWN 				      0x00  //SHUTDOWN
#define 	NOMAL_DISPON		      0x03  //NORMALʾ
#define		NOMAL_DISPOFF 	      0x01  //NORMALʾ
#define 	VK16D33_GSCAN_REG     0x11  //GRIDɨ
																			//bit3-bit0 1-16(Ĭ)
#define 	VK16D33_SEGI_REG     	0x10  //ȵȼ(SEG˿)
																			//bit3-bit0 4.37mA-70mA(Ĭ)
/* Exported functions ------------------------------------------------------- */
void Vk16d33_Init(void); 
unsigned char VK16D33WriteNData( unsigned char cmdaddr, unsigned char* databuf, unsigned char num);
void VK16D33_Main(void);
#endif  /*__VK16D33_H__*/

/************************END OF FILE****/
